
  

# Get Started
	<div
		class="visualizer"
		data-role="visualizer"
		experienceId="<your experience id>"
		></div>
		const containerElement = document.querySelector('.visualizer');
		containerElement.addEventListener('visualizerLoaded', (event)=>{
		const visualizer = event.detail.visualizer;
	});

# Functions
### initAndLoad();

### getSceneList(): Array\<IScene>;

### setScene(sceneId: string);

### GetProductList(): Array\<IProduct>;

### GetApplicationsList(): Array\<IApplication>;

### GetApplication(): IApplication;

### SetApplication(application: IApplication): IApplication;

### GetFilters(): Array\<IFilter>;

### GetFilter(): Array\<IFilter>;

### SetFilter(filters: Array\<IFilter>): Array\<IFilter>;

### displayProduct(productSku: string, application: IApplication): Promise\<void>;

### getDisplayedProduct(application: IApplication): IProduct;

### addProductToFavorite(productSku: string, application: IApplication): IFavoriteProductList;

### removeProductFromFavorite(productSku: string, application: IApplication): IFavoriteProductList;

### getProductFavoriteList(): IFavoriteProductList;

### addSetToFavorite(): Promise\<IFavoriteSetList>;

### removeSetFromFavorite(set: IFavoriteSet): IFavoriteSetList;

### getSetFavoriteList(): IFavoriteSetList;

### addProductToCart(product: IProduct);

### orderSample(product: IProduct);
  

# Interfaces
	IScene = {
		id: string;
		index: string;
		title: string;
		image: string;
	};
###
	IFavorite = {
		product: IProduct;
	};

###
	IFavoriteSet = {
		id: string;
		scene: IScene;
		image: string;
		favorites: Array<IFavorite>;
	};
###
	IFavoriteProductList = Array<IFavorite>;
###
	IFavoriteSetList = Array<IFavoriteSet>;
###
	IFacet = {
		name: string;
		options: string[];
	};
###
	IFilter = IFacet;
###
	IApplication = { application: string; image?: string };
###
	IProduct = {
		sku: string;
		title: string;
		description: string;
		image: string;
		application: string;
		price: string;
		facets: IFacet[];
	};

# Events

## usage

### with html element object

htmlElement.addEventListener('visualizerLoaded', (event)=>{

const visualizer = event.detail.visualizer;

});

### with visualizer object

visualizer.on('hotspotClicked', handleOnProductClicked);

|eventName|callback values|
|--|--|
|sceneLoaded|visualizer: Visualizer|
|visualizerLoaded|scene: IScene|
|productChanged|product: ProductSchema.IProduct|
|hotspotClicked|application: IApplication|
|productAddedToFavorite|favorites: IFavoriteProductList; product: IProduct|
|setAddedToFavorite|favoritesSet: IFavoriteSetList; set: IFavoriteSet|
|productRemovedFromFavorite|favorites: IFavoriteProductList; product: IProduct|
|setRemovedFromFavorite|favoritesSet: IFavoriteSetList; set: IFavoriteSet|
|productAddedToCart|product: IProduct|
|orderSample|product: IProduct|